Debian Bug report logs - #661283
cmor: FTBFS on kfreebsd-amd64

version graph

Package: kfreebsd-8; Maintainer for kfreebsd-8 is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>;

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Sat, 25 Feb 2012 22:33:01 UTC

Severity: important

Tags: squeeze

Found in version 8.1+dfsg-8+squeeze2

Fixed in versions kfreebsd-9/9.0-3, kfreebsd-8/8.3-2, 9.0-3

Done: Steven Chamberlain <steven@pyro.eu.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#661283; Package src:cmor. (Sat, 25 Feb 2012 22:33:04 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: submit@bugs.debian.org
Subject: cmor: FTBFS on kfreebsd-amd64
Date: Sat, 25 Feb 2012 23:28:51 +0100
Source: cmor
Version: 2.8.0-2
Severity: serious
Justification: fails to build from source
User: debian-bsd@lists.debian.org
Usertags: kfreebsd-amd64

cmor failed to build from source on kfreebsd-amd64:
| GNU C (Debian 4.6.2-12) version 4.6.2 (x86_64-kfreebsd-gnu)
| 	compiled by GNU C version 4.6.2, GMP version 5.0.2, MPFR version 3.1.0-p3, MPC version 0.9
| warning: GMP header version 5.0.2 differs from library version 5.0.3.
| GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072
| Compiler executable checksum: a27dc2a305c612cbaad43a4e75801b57
| COLLECT_GCC_OPTIONS='-v' '-D' '_FORTIFY_SOURCE=2' '-I' 'include' '-I' 'include/cdTime' '-L/usr/lib' '-I' '/usr/include' '-L.' '-I' '/usr/include/ossp' '-o' 'ipcc_test_code' '-mtune=generic' '-march=x86-64'
|  as --64 -o /tmp/ccRfyoT1.o /tmp/cc6irVv6.s
| COMPILER_PATH=/usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/:/usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/:/usr/lib/gcc/x86_64-kfreebsd-gnu/:/usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/:/usr/lib/gcc/x86_64-kfreebsd-gnu/
| LIBRARY_PATH=/usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/:/usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/../../../x86_64-kfreebsd-gnu/:/usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/../../../../lib/:/lib/x86_64-kfreebsd-gnu/:/lib/../lib/:/usr/lib/x86_64-kfreebsd-gnu/:/usr/lib/../lib/:/usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/../../../:/lib/:/usr/lib/
| COLLECT_GCC_OPTIONS='-v' '-D' '_FORTIFY_SOURCE=2' '-I' 'include' '-I' 'include/cdTime' '-L/usr/lib' '-I' '/usr/include' '-L.' '-I' '/usr/include/ossp' '-o' 'ipcc_test_code' '-mtune=generic' '-march=x86-64'
|  /usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/collect2 --build-id --no-add-needed --eh-frame-hdr -m elf_x86_64_fbsd --hash-style=both -dynamic-linker /lib/ld-kfreebsd-x86-64.so.1 -o ipcc_test_code /usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/../../../x86_64-kfreebsd-gnu/crt1.o /usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/../../../x86_64-kfreebsd-gnu/crti.o /usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/crtbegin.o -L/usr/lib -L. -L/usr/lib/gcc/x86_64-kfreebsd-gnu/4.6 -L/usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/../../../x86_64-kfreebsd-gnu -L/usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/../../../../lib -L/lib/x86_64-kfreebsd-gnu -L/lib/../lib -L/usr/lib/x86_64-kfreebsd-gnu -L/usr/lib/../lib -L/usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/../../.. -lnetcdf /tmp/ccRfyoT1.o -lcmor -lnetcdf -ludunits2 -lossp-uuid -lm -lgcc --as-needed -lgcc_s --no-as-needed -lc -lgcc --as-needed -lgcc_s --no-as-needed /usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/crtend.o /usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/../../../x86_64-kfreebsd-gnu/crtn.o
| Aborted
| make[1]: *** [test_C] Error 134
| make[1]: Leaving directory `/build/buildd-cmor_2.8.0-2-kfreebsd-amd64-a3o0qW/cmor-2.8.0'
| dh_auto_test: make -j1 test returned exit code 2
| make: *** [build] Error 29

Full build log:
https://buildd.debian.org/status/fetch.php?pkg=cmor&arch=kfreebsd-amd64&ver=2.8.0-2&stamp=1328397675

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#661283; Package src:cmor. (Fri, 02 Mar 2012 01:39:11 GMT) Full text and rfc822 format available.

Message #6 received at 661283@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 661283@bugs.debian.org
Subject: Re: Bug#661283: cmor: FTBFS on kfreebsd-amd64
Date: Fri, 2 Mar 2012 02:38:48 +0100
* Jakub Wilk <jwilk@debian.org>, 2012-02-25, 23:28:
>| GNU C (Debian 4.6.2-12) version 4.6.2 (x86_64-kfreebsd-gnu)
>| 	compiled by GNU C version 4.6.2, GMP version 5.0.2, MPFR version 3.1.0-p3, MPC version 0.9
>| warning: GMP header version 5.0.2 differs from library version 5.0.3.
>| GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072
>| Compiler executable checksum: a27dc2a305c612cbaad43a4e75801b57
>| COLLECT_GCC_OPTIONS='-v' '-D' '_FORTIFY_SOURCE=2' '-I' 'include' '-I' 'include/cdTime' '-L/usr/lib' '-I' '/usr/include' '-L.' '-I' '/usr/include/ossp' '-o' 'ipcc_test_code' '-mtune=generic' '-march=x86-64'
>|  as --64 -o /tmp/ccRfyoT1.o /tmp/cc6irVv6.s
>| COMPILER_PATH=/usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/:/usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/:/usr/lib/gcc/x86_64-kfreebsd-gnu/:/usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/:/usr/lib/gcc/x86_64-kfreebsd-gnu/
>| LIBRARY_PATH=/usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/:/usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/../../../x86_64-kfreebsd-gnu/:/usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/../../../../lib/:/lib/x86_64-kfreebsd-gnu/:/lib/../lib/:/usr/lib/x86_64-kfreebsd-gnu/:/usr/lib/../lib/:/usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/../../../:/lib/:/usr/lib/
>| COLLECT_GCC_OPTIONS='-v' '-D' '_FORTIFY_SOURCE=2' '-I' 'include' '-I' 'include/cdTime' '-L/usr/lib' '-I' '/usr/include' '-L.' '-I' '/usr/include/ossp' '-o' 'ipcc_test_code' '-mtune=generic' '-march=x86-64'
>|  /usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/collect2 --build-id --no-add-needed --eh-frame-hdr -m elf_x86_64_fbsd --hash-style=both -dynamic-linker /lib/ld-kfreebsd-x86-64.so.1 -o ipcc_test_code /usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/../../../x86_64-kfreebsd-gnu/crt1.o /usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/../../../x86_64-kfreebsd-gnu/crti.o /usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/crtbegin.o -L/usr/lib -L. -L/usr/lib/gcc/x86_64-kfreebsd-gnu/4.6 -L/usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/../../../x86_64-kfreebsd-gnu -L/usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/../../../../lib -L/lib/x86_64-kfreebsd-gnu -L/lib/../lib -L/usr/lib/x86_64-kfreebsd-gnu -L/usr/lib/../lib -L/usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/../../.. -lnetcdf /tmp/ccRfyoT1.o -lcmor -lnetcdf -ludunits2 -lossp-uuid -lm -lgcc --as-needed -lgcc_s --no-as-needed -lc -lgcc --as-needed -lgcc_s --no-as-needed /usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/crtend.o /usr/lib/gcc/x86_64-kfreebsd-gnu/4.6/../../../x86_64-kfreebsd-gnu/crtn.o
>| Aborted
>| make[1]: *** [test_C] Error 134
>| make[1]: Leaving directory `/build/buildd-cmor_2.8.0-2-kfreebsd-amd64-a3o0qW/cmor-2.8.0'
>| dh_auto_test: make -j1 test returned exit code 2
>| make: *** [build] Error 29

FWIW, I can't reproduce this failure on asdfasdf.debian.net.

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#661283; Package src:cmor. (Sat, 03 Mar 2012 06:57:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Sat, 03 Mar 2012 06:57:29 GMT) Full text and rfc822 format available.

Message #11 received at 661283@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 661283@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#661283: cmor: FTBFS on kfreebsd-amd64
Date: Sat, 03 Mar 2012 06:34:39 +0000
Hi,

Building cmor 2.8.0-2 fails for me in exactly the same place but with
different error codes.  This is kfreebsd-i386 with up-to-date Wheezy,
running in VirtualBox limited to 512MiB RAM and no swap:

> GNU C (Debian 4.6.2-12) version 4.6.2 (i486-kfreebsd-gnu)
> 	compiled by GNU C version 4.6.2, GMP version 5.0.2, MPFR version 3.1.0-p3, MPC version 0.9
> warning: GMP header version 5.0.2 differs from library version 5.0.4.
> GGC heuristics: --param ggc-min-expand=64 --param ggc-min-heapsize=63924
> Compiler executable checksum: 4df8d7c1419473a950dfe25eff95f5f2
> COLLECT_GCC_OPTIONS='-v' '-D' '_FORTIFY_SOURCE=2' '-I' 'include' '-I' 'include/cdTime' '-L/usr/lib' '-I' '/usr/include' '-L.' '-I' '/usr/include/ossp' '-o' 'ipcc_test_code' '-mtune=generic' '-march=i586'
>  as --32 -o /tmp/cculu0Td.o /tmp/ccwmv5NU.s
> COMPILER_PATH=/usr/lib/gcc/i486-kfreebsd-gnu/4.6/:/usr/lib/gcc/i486-kfreebsd-gnu/4.6/:/usr/lib/gcc/i486-kfreebsd-gnu/:/usr/lib/gcc/i486-kfreebsd-gnu/4.6/:/usr/lib/gcc/i486-kfreebsd-gnu/
> LIBRARY_PATH=/usr/lib/gcc/i486-kfreebsd-gnu/4.6/:/usr/lib/gcc/i486-kfreebsd-gnu/4.6/../../../i386-kfreebsd-gnu/:/usr/lib/gcc/i486-kfreebsd-gnu/4.6/../../../:/lib/i386-kfreebsd-gnu/:/lib/:/usr/lib/i386-kfreebsd-gnu/:/usr/lib/
> COLLECT_GCC_OPTIONS='-v' '-D' '_FORTIFY_SOURCE=2' '-I' 'include' '-I' 'include/cdTime' '-L/usr/lib' '-I' '/usr/include' '-L.' '-I' '/usr/include/ossp' '-o' 'ipcc_test_code' '-mtune=generic' '-march=i586'
>  /usr/lib/gcc/i486-kfreebsd-gnu/4.6/collect2 --build-id --no-add-needed --eh-frame-hdr -m elf_i386_fbsd --hash-style=both -dynamic-linker /lib/ld.so.1 -o ipcc_test_code /usr/lib/gcc/i486-kfreebsd-gnu/4.6/../../../i386-kfreebsd-gnu/crt1.o /usr/lib/gcc/i486-kfreebsd-gnu/4.6/../../../i386-kfreebsd-gnu/crti.o /usr/lib/gcc/i486-kfreebsd-gnu/4.6/crtbegin.o -L/usr/lib -L. -L/usr/lib/gcc/i486-kfreebsd-gnu/4.6 -L/usr/lib/gcc/i486-kfreebsd-gnu/4.6/../../../i386-kfreebsd-gnu -L/usr/lib/gcc/i486-kfreebsd-gnu/4.6/../../.. -L/lib/i386-kfreebsd-gnu -L/usr/lib/i386-kfreebsd-gnu -lnetcdf /tmp/cculu0Td.o -lcmor -lnetcdf -ludunits2 -lossp-uuid -lm -lgcc --as-needed -lgcc_s --no-as-needed -lc -lgcc --as-needed -lgcc_s --no-as-needed /usr/lib/gcc/i486-kfreebsd-gnu/4.6/crtend.o /usr/lib/gcc/i486-kfreebsd-gnu/4.6/../../../i386-kfreebsd-gnu/crtn.o
> collect2: ld terminated with signal 9 [Killed]
> /bin/sh: 1: ./ipcc_test_code: not found
> make[1]: *** [test_C] Error 127
> make[1]: Leaving directory `/home/steven/cmor-2.8.0'
> dh_auto_test: make -j1 test returned exit code 2
> make: *** [build] Error 2

The linker is killed by OOM-killer, so I also get this in dmesg:

> pid 43009 (ld.bfd.real), uid 1000, was killed: out of swap space

With ktrace/kdump I managed to find this:

>  43009 ld.bfd.real CALL  open(0x8176420,O_RDONLY|O_LARGEFILE,<unused>0)
>  43009 ld.bfd.real NAMI  "./libcmor.a"
>  43009 ld.bfd.real RET   open 9
>  43009 ld.bfd.real CALL  fcntl(0x9,<invalid=1>,0)
>  43009 ld.bfd.real RET   fcntl 0
>  43009 ld.bfd.real CALL  fcntl(0x9,<invalid=2>,FD_CLOEXEC)
>  43009 ld.bfd.real RET   fcntl 0
>  43009 ld.bfd.real CALL  fstat(0x9,0xbfbfdaf0)
>  43009 ld.bfd.real STRU  struct stat {dev=63, ino=147868, mode=-rw-r--r-- , nlink=1, uid=1000, gid=1000, rdev=638888, atime=1330751447, stime=1330751447, ctime=1330751447, birthtime=1330751447, size=978830, blksize=16384, blocks=1952, flags=0x0 }
>  43009 ld.bfd.real RET   fstat 0
>  43009 ld.bfd.real CALL  mmap(0,0x4000,PROT_READ|PROT_WRITE,MAP_ANON|MAP_TYPE|MAP_PRIVATE,0xffffffff,0,0)
>  43009 ld.bfd.real RET   mmap 674934784/0x283ab000
...many more reads...
>  43009 ld.bfd.real RET   read 16384/0x4000
>  43009 ld.bfd.real CALL  read(0x9,0x283a3000,0x4000)
>  43009 ld.bfd.real GIO   fd 9 read 4096 bytes
>  43009 ld.bfd.real RET   read 16384/0x4000
>  43009 ld.bfd.real CALL  lseek(0x9,0x44000,SEEK_SET,0)
>  43009 ld.bfd.real RET   lseek 278528/0x44000
>  43009 ld.bfd.real CALL  lseek(0x9,0x44000,SEEK_SET,0)
>  43009 ld.bfd.real RET   lseek 278528/0x44000
>  43009 ld.bfd.real CALL  mmap(0,0x29fa3000,PROT_READ|PROT_WRITE,MAP_ANON|MAP_TYPE|MAP_PRIVATE,0xffffffff,0,0)
>  43009 ld.bfd.real RET   mmap 675033088/0x283c3000
>  43009 ld.bfd.real PSIG  SIGKILL SIG_DFL

It is trying to map a range 0->0x29fa3000 = ~671MiB bytes which is why
it fails in my VM which has only 512MiB RAM.  The value being requested
as length here appears to be a pointer.

Jakub Wilk wrote:
> FWIW, I can't reproduce this failure on asdfasdf.debian.net.

Maybe it just had more available RAM than the buildds?

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#661283; Package src:cmor. (Sat, 03 Mar 2012 11:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Sat, 03 Mar 2012 11:12:07 GMT) Full text and rfc822 format available.

Message #16 received at 661283@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 661283@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#661283: cmor: FTBFS on kfreebsd-amd64
Date: Sat, 03 Mar 2012 12:09:29 +0100
Hi!

Steven Chamberlain <steven@pyro.eu.org> writes:
> It is trying to map a range 0->0x29fa3000 = ~671MiB bytes which is why
> it fails in my VM which has only 512MiB RAM.  The value being requested
> as length here appears to be a pointer.
>
> Jakub Wilk wrote:
>> FWIW, I can't reproduce this failure on asdfasdf.debian.net.
>
> Maybe it just had more available RAM than the buildds?

fano/finzi have both 4 GiB, field/fasch have 6 GiB RAM. asdfasdf has
"only" 2 GiB

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#661283; Package src:cmor. (Sat, 03 Mar 2012 11:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alastair McKinstry <alastair.mckinstry@sceal.ie>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Sat, 03 Mar 2012 11:30:09 GMT) Full text and rfc822 format available.

Message #21 received at 661283@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <alastair.mckinstry@sceal.ie>
To: Christoph Egger <christoph@debian.org>, 661283@bugs.debian.org
Subject: Re: Bug#661283: cmor: FTBFS on kfreebsd-amd64
Date: Sat, 03 Mar 2012 11:21:16 +0000
Hi,

Yes, this build has failed consistently on asdfasdf , and built fine on
other systems
(fano, I think). I agree its memory-related.


regards
Alastair


On 2012-03-03 11:09, Christoph Egger wrote:
> Hi!
>
> Steven Chamberlain <steven@pyro.eu.org> writes:
>> It is trying to map a range 0->0x29fa3000 = ~671MiB bytes which is why
>> it fails in my VM which has only 512MiB RAM.  The value being requested
>> as length here appears to be a pointer.
>>
>> Jakub Wilk wrote:
>>> FWIW, I can't reproduce this failure on asdfasdf.debian.net.
>> Maybe it just had more available RAM than the buildds?
> fano/finzi have both 4 GiB, field/fasch have 6 GiB RAM. asdfasdf has
> "only" 2 GiB
>
> Regards
>
>     Christoph
>


-- 
Alastair McKinstry  , <alastair@sceal.ie> , <mckinstry@debian.org>    http://blog.sceal.ie

Anyone who believes exponential growth can go on forever in a finite world
is either a madman or an economist - Kenneth Boulter, Economist.






Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sat, 03 Mar 2012 13:15:09 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Sat, 03 Mar 2012 13:15:13 GMT) Full text and rfc822 format available.

Message #26 received at 661283-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Jakub Wilk <jwilk@debian.org>, 661283-done@bugs.debian.org
Subject: Re: Bug#661283: cmor: FTBFS on kfreebsd-amd64
Date: Sat, 3 Mar 2012 14:11:30 +0100
[Message part 1 (text/plain, inline)]
On Sat, Feb 25, 2012 at 23:28:51 +0100, Jakub Wilk wrote:

> Source: cmor
> Version: 2.8.0-2
> Severity: serious
> Justification: fails to build from source
> User: debian-bsd@lists.debian.org
> Usertags: kfreebsd-amd64
> 
> cmor failed to build from source on kfreebsd-amd64:

I gave it back and it built, so closing.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#661283; Package src:cmor. (Wed, 14 Mar 2012 04:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Wed, 14 Mar 2012 04:30:03 GMT) Full text and rfc822 format available.

Message #31 received at 661283@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 661283@bugs.debian.org
Cc: debian-bsd@lists.debian.org, control@bugs.debian.org
Subject: Re: Bug#661283: cmor: FTBFS on kfreebsd-amd64
Date: Wed, 14 Mar 2012 04:08:30 +0000
reopen 661283
done

On 03/03/12 14:11, Julien Cristau wrote:
> I gave it back and it built, so closing.

Hi,

Doesn't this want fixing more permanently?  It got queued for a rebuild
for some reason and has been failing again since:

https://buildd.debian.org/status/logs.php?pkg=cmor&arch=kfreebsd-amd64

The test suite with ~700MiB process images are presumably asking a bit
too much of the kfreebsd-amd64 buildds (and way too much for
kfreebsd-i386, #598745).  That's odd though if they have 6GiB RAM in total.

I suspect a limit is be being hit, something similar to kern.maxdsiz
although that one is per-process so wouldn't explain why this happens
only sometimes.

I'm curious anyway what are the kern.maxdsiz and kern.dfldsiz on the
buildds (I'm guessing 1GiB on amd64) and is it permissible for them to
be raised (to maybe 2GiB) if some package like this one required it?
(I'm also wondering about the openjdk-7 failures here.)

Or, should/could the cmor test suite be slimmed down to suit?

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#661283; Package src:cmor. (Wed, 14 Mar 2012 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Wed, 14 Mar 2012 14:51:03 GMT) Full text and rfc822 format available.

Message #36 received at 661283@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 661283@bugs.debian.org, debian-bsd@lists.debian.org, control@bugs.debian.org
Subject: Re: Bug#661283: cmor: FTBFS on kfreebsd-amd64
Date: Wed, 14 Mar 2012 15:46:19 +0100
Steven Chamberlain <steven@pyro.eu.org> writes:
> I'm curious anyway what are the kern.maxdsiz and kern.dfldsiz on the
> buildds (I'm guessing 1GiB on amd64) and is it permissible for them to
> be raised (to maybe 2GiB) if some package like this one required it?
> (I'm also wondering about the openjdk-7 failures here.)

fasch|fano.debian.org

  kern.maxdsiz: 34359738368
  kern.dfldsiz: 134217728

field|finzi.debian.org

  kern.maxdsiz: 536870912
  kern.dfldsiz: 134217728

Regards

    Christoph




Bug reopened Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Mon, 19 Mar 2012 19:54:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#661283; Package src:cmor. (Sun, 15 Apr 2012 20:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Sun, 15 Apr 2012 20:45:03 GMT) Full text and rfc822 format available.

Message #43 received at 661283@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Christoph Egger <christoph@debian.org>
Cc: 661283@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#661283: cmor: FTBFS on kfreebsd-amd64
Date: Sun, 15 Apr 2012 21:41:00 +0100
Hi Christoph,

Is it worth giving cmor back to the kfreebsd-amd64 buildd's (more than
once, if necessary), as it does succeed about 50% of the time.

The netcdf 4.1.4 transition is held up by this.  If it works, we won't
have to worry so much about fixing it right now, or the problem may even
go away eventually (in some new release, or with some other change).

On kfreebsd-i386 this not an issue as it has never built on that.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#661283; Package src:cmor. (Sun, 15 Apr 2012 20:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Sun, 15 Apr 2012 20:48:03 GMT) Full text and rfc822 format available.

Message #48 received at 661283@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 661283@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#661283: cmor: FTBFS on kfreebsd-amd64
Date: Sun, 15 Apr 2012 22:47:23 +0200
Hi!

Steven Chamberlain <steven@pyro.eu.org> writes:
> Is it worth giving cmor back to the kfreebsd-amd64 buildd's (more than
> once, if necessary), as it does succeed about 50% of the time.
>
> The netcdf 4.1.4 transition is held up by this.  If it works, we won't
> have to worry so much about fixing it right now, or the problem may even
> go away eventually (in some new release, or with some other change).
>
> On kfreebsd-i386 this not an issue as it has never built on that.

  Would be the 13th attempt for kfreebsd-amd64 (7th for kfreebsd-i386)
but why not, buildds are mostly idle right now.

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#661283; Package src:cmor. (Tue, 17 Apr 2012 22:03:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Tue, 17 Apr 2012 22:03:13 GMT) Full text and rfc822 format available.

Message #53 received at 661283@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Christoph Egger <christoph@debian.org>
Cc: Steven Chamberlain <steven@pyro.eu.org>, 661283@bugs.debian.org, debian-bsd@lists.debian.org, 598745@bugs.debian.org
Subject: Re: Bug#661283: cmor: FTBFS on kfreebsd-amd64
Date: Wed, 18 Apr 2012 00:02:24 +0200
clone 661283 -1
retitle -1 increase DFLDSIZ on amd64 to something good enough to build cmor
severity -1 wishlist
clone -1 -2 -3
reassign -1 kfreebsd-8
reassign -2 kfreebsd-9
reassign -3 kfreebsd-10
thanks

El 14 de març de 2012 15:46, Christoph Egger <christoph@debian.org> ha escrit:
>  kern.dfldsiz: 134217728

That's just 128 MiB.  I've increased it to 3 GiB on my amd64
workstation, and now I can build cmor (just binNMUed it btw).

For the amd64 buildds, you can put something like at the end of
/etc/grub.d/00_header:

echo "set kFreeBSD.kern.dfldsiz=3072M"

and re-run update-grub.

Be careful if you decide to raise it on i386.  I'm not sure what
effect could this have on available virtual memory.

-- 
Robert Millan




Bug 661283 cloned as bug 669170 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Tue, 17 Apr 2012 22:03:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#661283; Package src:cmor. (Wed, 18 Apr 2012 02:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Wed, 18 Apr 2012 02:00:04 GMT) Full text and rfc822 format available.

Message #60 received at 661283@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Robert Millan <rmh@debian.org>
Cc: Christoph Egger <christoph@debian.org>, 661283@bugs.debian.org, debian-bsd@lists.debian.org, 598745@bugs.debian.org
Subject: Re: Bug#661283: cmor: FTBFS on kfreebsd-amd64
Date: Wed, 18 Apr 2012 02:57:08 +0100
On 17/04/12 23:02, Robert Millan wrote:
> El 14 de març de 2012 15:46, Christoph Egger <christoph@debian.org> ha escrit:
>>  kern.dfldsiz: 134217728
> 
> That's just 128 MiB.

Argh I misunderstood this before.  Yes 128 MiB is definitely too low for
cmor;  it seems to need ~700 MiB to pass the test suite or run at all.


For kfreebsd-i386:

cmor never built on this anyway, so it's not vital we fix that.  Anyone
planning to run climate models can surely find an amd64 system with
plenty of RAM.  It built on Linux i386, but only because it doesn't
enforce this type of limit.

The FreeBSD handbook mentions raising DFLDSIZ for "memory pigs"[1] but
never higher than 1 GiB on i386.  I think other kernel memory limits are
hit at that point anyway.  Trying to raise it much higher leaves my
system unable to spawn init.

With a DFLDSIZ setting of 512 MiB I can still boot a system with only 64
MiB physical RAM.  To make the compiled-in default any higher would also
require raising MAXDSIZ, or else it is still too low for cmor.  So I
suggest leaving this alone.


For kfreebsd-amd64:

A default of 128 MiB is quite low, and common software in Debian like
mysql, squid or inkscape may have a problem with it.

The MySQL 5.0 manual[2] recommends 1 GiB and I think that would be a
sensible default.

A DFLDSIZ of even 32 GiB on amd64 does not stop system with only 128 MiB
physical RAM from booting.

[1] http://www.freebsd.org/doc/handbook/sapr3.html#KERNELTUNING
[2] https://dev.mysql.com/doc/refman/5.0/en/freebsd.html

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#661283; Package src:cmor. (Fri, 04 May 2012 22:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Fri, 04 May 2012 22:00:04 GMT) Full text and rfc822 format available.

Message #65 received at 661283@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 661283@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#661283: cmor: FTBFS on kfreebsd-amd64
Date: Fri, 04 May 2012 22:55:54 +0100
severity 661283 important
thanks

Hi,

This issue was worked around with a binNMU.  It is fixed in kfreebsd-8
VCS and kfreebsd-9 unstable by raising DFLDSIZ.

I don't know if this has been changed yet on the buildd's, which I think
run a squeeze kernel but DFLDSIZ is a boot-time configurable setting.

So I think I should downgrade this to non-RC severity until we know
whether it definitely is/isn't still an issue.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Severity set to 'important' from 'serious' Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 04 May 2012 22:00:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#661283; Package src:cmor. (Fri, 04 May 2012 22:12:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Fri, 04 May 2012 22:12:10 GMT) Full text and rfc822 format available.

Message #72 received at 661283@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 661283@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#661283: cmor: FTBFS on kfreebsd-amd64
Date: Sat, 5 May 2012 00:10:10 +0200
2012/5/4 Steven Chamberlain <steven@pyro.eu.org>:
> This issue was worked around with a binNMU.  It is fixed in kfreebsd-8
> VCS and kfreebsd-9 unstable by raising DFLDSIZ.
>
> I don't know if this has been changed yet on the buildd's, which I think
> run a squeeze kernel but DFLDSIZ is a boot-time configurable setting.

Actually, I think that increasing DFLDSIZ might not be the only
solution.  DFLDSIZ only sets the default limit, but for login shells
it is increased automatically.  Or if you're root you can increase it
by hand ("ulimit -d unlimited").

> So I think I should downgrade this to non-RC severity until we know
> whether it definitely is/isn't still an issue.

I think it's still an issue for kfreebsd-i386? But in any case, it's
not RC as cmor never supported kfreebsd-i386 before.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#661283; Package src:cmor. (Fri, 04 May 2012 22:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Fri, 04 May 2012 22:39:05 GMT) Full text and rfc822 format available.

Message #77 received at 661283@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Robert Millan <rmh@debian.org>
Cc: 661283@bugs.debian.org, debian-bsd@lists.debian.org, 598745@bugs.debian.org
Subject: Re: Bug#661283: cmor: FTBFS on kfreebsd-amd64
Date: Fri, 04 May 2012 23:36:00 +0100
On 04/05/12 23:10, Robert Millan wrote:
> Actually, I think that increasing DFLDSIZ might not be the only
> solution.  DFLDSIZ only sets the default limit, but for login shells
> it is increased automatically.

Upstream does it that way, but I'm not sure if GNU/kFreeBSD does (I see
no mention of ulimit in /etc?).  But if so, it would explain why this
was reproducible on buildd's and not on the asdfasdf porter box.

Raising DFLSIZ seems like the best way to me, as the buildd's will need
it, and some daemons like mysql or postgres seem to want a larger data
size anyway.


> I think it's still an issue for kfreebsd-i386? But in any case, it's
> not RC as cmor never supported kfreebsd-i386 before.

You're right, there's still a separate, non-RC bug for that:  #598745

Even with 'ulimit -d unlimited', kfreebsd-i386 is bounded by MAXDSIZ =
512 MiB whereas cmor would need ~700ish.  I suppose that and DFLDSIZ
could be raised to 1 GiB on kfreebsd-i386 to try to fix this, but no
higher as explained in:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=598745#20

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#661283; Package src:cmor. (Fri, 04 May 2012 23:36:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Fri, 04 May 2012 23:36:12 GMT) Full text and rfc822 format available.

Message #82 received at 661283@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 661283@bugs.debian.org, debian-bsd@lists.debian.org, 598745@bugs.debian.org
Subject: Re: Bug#661283: cmor: FTBFS on kfreebsd-amd64
Date: Sat, 5 May 2012 01:14:53 +0200
2012/5/5 Steven Chamberlain <steven@pyro.eu.org>:
> Upstream does it that way, but I'm not sure if GNU/kFreeBSD does (I see
> no mention of ulimit in /etc?).  But if so, it would explain why this
> was reproducible on buildd's and not on the asdfasdf porter box.

ulimit is just the user interface.  This is set by PAM, see
pam_limits(8) and setrlimit(2).

> Raising DFLSIZ seems like the best way to me, as the buildd's will need
> it, and some daemons like mysql or postgres seem to want a larger data
> size anyway.

I'm on your side. I had this discussion with upstream already :-)

> Even with 'ulimit -d unlimited', kfreebsd-i386 is bounded by MAXDSIZ =
> 512 MiB whereas cmor would need ~700ish.  I suppose that and DFLDSIZ
> could be raised to 1 GiB on kfreebsd-i386 to try to fix this, but no
> higher as explained in:
>
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=598745#20

If it can be set to 1 GiB, why hasn't upstream done this?  I think it
wouldn't be a good idea to increase this limit in Debian unless
upstream does.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#661283; Package src:cmor. (Sat, 05 May 2012 14:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Sat, 05 May 2012 14:33:03 GMT) Full text and rfc822 format available.

Message #87 received at 661283@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 661283@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#661283: cmor: FTBFS on kfreebsd-amd64
Date: Sat, 05 May 2012 16:33:06 +0200
Hi!

Steven Chamberlain <steven@pyro.eu.org> writes:
> This issue was worked around with a binNMU.  It is fixed in kfreebsd-8
> VCS and kfreebsd-9 unstable by raising DFLDSIZ.
>
> I don't know if this has been changed yet on the buildd's, which I think
> run a squeeze kernel but DFLDSIZ is a boot-time configurable setting.

  The buildds will only get the new kernel some time after the wheezy
release (It *might* be possible to get a backports kernel but only iff
we are really sure the kfreebsd-8 kernel from testing rebuilt in stable
will work well with freebsd-utils and stuff from 8.1. If it's boot-time
setable I can ask DSA to have it set on the buildds -- do you have some
documentation about that? And it's currently only causing trouble with
cmor, right?

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#661283; Package src:cmor. (Sat, 05 May 2012 20:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Sat, 05 May 2012 20:21:02 GMT) Full text and rfc822 format available.

Message #92 received at 661283@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Christoph Egger <christoph@debian.org>
Cc: Steven Chamberlain <steven@pyro.eu.org>, 661283@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#661283: cmor: FTBFS on kfreebsd-amd64
Date: Sat, 5 May 2012 22:16:53 +0200
2012/5/5 Christoph Egger <christoph@debian.org>:
>  The buildds will only get the new kernel some time after the wheezy
> release (It *might* be possible to get a backports kernel but only iff
> we are really sure the kfreebsd-8 kernel from testing rebuilt in stable
> will work well with freebsd-utils and stuff from 8.1. If it's boot-time
> setable I can ask DSA to have it set on the buildds -- do you have some
> documentation about that? And it's currently only causing trouble with
> cmor, right?

For cmor you can just adjust the limit in GRUB, see:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=669173#53

-- 
Robert Millan




Added tag(s) squeeze. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 21 Jun 2012 20:21:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 661283: 669170 Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 21 Jun 2012 20:21:03 GMT) Full text and rfc822 format available.

Marked as fixed in versions kfreebsd-8/8.3-2. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 21 Jun 2012 20:21:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 661283: 669173 Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 21 Jun 2012 20:21:05 GMT) Full text and rfc822 format available.

Marked as fixed in versions kfreebsd-9/9.0-3. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 21 Jun 2012 20:21:06 GMT) Full text and rfc822 format available.

Bug reassigned from package 'src:cmor' to 'kfreebsd-8'. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 21 Jun 2012 20:27:02 GMT) Full text and rfc822 format available.

No longer marked as found in versions cmor/2.8.0-2. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 21 Jun 2012 20:27:03 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions kfreebsd-9/9.0-3 and kfreebsd-8/8.3-2. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 21 Jun 2012 20:27:04 GMT) Full text and rfc822 format available.

Marked as found in versions 8.1+dfsg-8+squeeze2. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 21 Jun 2012 20:27:04 GMT) Full text and rfc822 format available.

Added indication that 661283 affects cmor Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 21 Jun 2012 20:27:05 GMT) Full text and rfc822 format available.

Marked as fixed in versions kfreebsd-8/8.3-2. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 21 Jun 2012 20:33:06 GMT) Full text and rfc822 format available.

Marked as fixed in versions kfreebsd-9/9.0-3. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 21 Jun 2012 20:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#661283; Package kfreebsd-8. (Thu, 13 Jun 2013 23:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 13 Jun 2013 23:21:10 GMT) Full text and rfc822 format available.

Message #121 received at 661283@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Christoph Egger <christoph@debian.org>
Cc: 661283@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#661283: cmor: FTBFS on kfreebsd-amd64
Date: Fri, 14 Jun 2013 00:17:06 +0100
Hi Christoph,

On 05/05/12 15:33, Christoph Egger wrote:
> The buildds will only get the new kernel some time after the wheezy
> release [...]

Now that this happened, could you please give back cmor for a rebuild on
kfreebsd-amd64?  AFAIK it is still not expected to build on kfreebsd-i386.

Thanks,
Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#661283; Package kfreebsd-8. (Fri, 14 Jun 2013 00:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 14 Jun 2013 00:06:04 GMT) Full text and rfc822 format available.

Message #126 received at 661283@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 661283@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#661283: cmor: FTBFS on kfreebsd-amd64
Date: Fri, 14 Jun 2013 02:03:13 +0200
Steven Chamberlain <steven@pyro.eu.org> writes:
> Hi Christoph,
>
> On 05/05/12 15:33, Christoph Egger wrote:
>> The buildds will only get the new kernel some time after the wheezy
>> release [...]
>
> Now that this happened, could you please give back cmor for a rebuild on
> kfreebsd-amd64?  AFAIK it is still not expected to build on kfreebsd-i386.

Done, let's see

  Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer



Reply sent to Steven Chamberlain <steven@pyro.eu.org>:
You have taken responsibility. (Fri, 14 Jun 2013 00:33:17 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Fri, 14 Jun 2013 00:33:17 GMT) Full text and rfc822 format available.

Message #131 received at 661283-done@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Christoph Egger <christoph@debian.org>, 661283-done@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#661283: cmor: FTBFS on kfreebsd-amd64
Date: Fri, 14 Jun 2013 01:30:51 +0100
Version: 9.0-3

On 14/06/13 01:03, Christoph Egger wrote:
> Steven Chamberlain <steven@pyro.eu.org> writes:
>> Now that this happened, could you please give back cmor for a rebuild on
>> kfreebsd-amd64?  AFAIK it is still not expected to build on kfreebsd-i386.
> 
> Done, let's see

Thanks!  It built fine.

Closing this bug now because:
* latest version of cmor can build on wheezy and newer kernels
* squeeze kernels can build the version of cmor that shipped with squeeze

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:51:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.